Bug 107016 - Gpio error only from kernel higher as 4.x (k2000m; 0x0e73b0a2; version 80.07.40.00.02)
Summary: Gpio error only from kernel higher as 4.x (k2000m; 0x0e73b0a2; version 80.07....
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-24 19:18 UTC by atirage21
Modified: 2018-12-04 18:25 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg message from old kernel 3.19 (when it was all ok= no problem) (88.45 KB, text/plain)
2018-06-24 19:18 UTC, atirage21
no flags Details
vBIOS.rom (0x0e73b0a2, GK107, NVE7, Family NVE0, version 80.07.40.00.02 (87.55 KB, application/octet-stream)
2018-06-24 20:31 UTC, atirage21
no flags Details
dmesg message from kernel 4.15 (as case study from kernel 4.x) live ubuntu 18.04 (74.85 KB, text/plain)
2018-06-24 21:38 UTC, atirage21
no flags Details
dmesg message from kernel 4.4 (on same OS Linux Mint 17.3 like with good kernel 3.19) (73.64 KB, text/plain)
2018-06-24 21:51 UTC, atirage21
no flags Details
MMIOTRACEfrom nvidia driver 340.102 (113.33 MB, text/x-log)
2018-06-25 03:11 UTC, atirage21
no flags Details
attachment-26224-0.html (2.36 KB, text/html)
2018-06-25 12:41 UTC, atirage21
no flags Details
attachment-20771-0.html (2.75 KB, text/html)
2018-06-25 14:23 UTC, atirage21
no flags Details
attachment-28061-0.html (3.82 KB, text/html)
2018-06-25 14:51 UTC, atirage21
no flags Details
attachment-14056-0.html (5.26 KB, text/html)
2018-06-25 15:57 UTC, atirage21
no flags Details
Nvidia xserver clocks -printscreen (110.01 KB, image/png)
2018-06-25 16:18 UTC, atirage21
no flags Details
Dmesg mesage Kernel 4.15 with nvidia propretiary driver (68.26 KB, text/plain)
2018-07-01 08:14 UTC, atirage21
no flags Details
dmesg message from kernel 4.15 from december 2018 (with last mesa and nouveau driver from OIBAF) (73.12 KB, text/x-log)
2018-12-04 18:25 UTC, atirage21
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description atirage21 2018-06-24 19:18:15 UTC
Created attachment 140303 [details]
dmesg message from old kernel 3.19 (when it was all ok=  no problem)

Dear developers,

this bug of nouveau driver is also always in kernel 4.15 (in last ubuntu).

Maybe it is connected on your changes from 2016:
https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/commit/?id=a24ded627e42d453546c553d609edc073f59cd57


Therefore i must wait on fix, and now i am only on old kernel 3.19 on Linux
mint 17.3, which have support to y2019. Thx

In attachment is dmesg message from old kernel 3.19 (when it was all ok=  no problem).

From kernels 4+ i have dmesg message:
 [ 9007.285922] nouveau 0000:01:00.0: volt: couldn't set 887500uv
 [ 9007.285930] nouveau 0000:01:00.0: clk: failed to raise voltage: -22
 [ 9007.285933] nouveau 0000:01:00.0: clk: error setting pstate 1: -22
 [ 9333.740189] nouveau 0000:01:00.0: volt: couldn't set 825000uv
 [ 9333.740196] nouveau 0000:01:00.0: clk: failed to raise voltage: -22
 [ 9333.740200] nouveau 0000:01:00.0: clk: error setting pstate 0: -22




so, ..nouveau driver going only according to BIOS clocks ?

GPU clock in BIOS"405 mhz": https://www.techpowerup.com/vgabios/147121/147121

GPU clock with driver "745 mhz":   https://www.techpowerup.com/gpudb/1424/quadro-k2000m

[   19.715426] nouveau 0000:01:00.0: bios: version 80.07.40.00.02
[   19.716325] nouveau 0000:01:00.0: mxm: BIOS version 3.0
[   19.719835] ACPI Warning: \_SB.PCI0.PEGP.DGFX._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20160930/nsarguments-95)
[   19.720419] nouveau 0000:01:00.0: volt: Type mismatch between the voltage table type and the GPIO table. Fallback to GPIO mode.


Here is nvidia driver message:

nvidia-smi -q

==============NVSMI LOG==============

Timestamp                           : Thu Jul 27 06:12:05 2017
Driver Version                      : 375.66

Attached GPUs                       : 1
GPU 0000:01:00.0
    Product Name                    : Quadro K2000M
    Product Brand                   : Quadro
    Display Mode                    : Enabled
    Display Active                  : Enabled
    Persistence Mode                : Disabled
    Accounting Mode                 : Disabled
    Accounting Mode Buffer Size     : 1920
    Driver Model
        Current                     : N/A
        Pending                     : N/A
    Serial Number                   : N/A
    GPU UUID                        : GPU-ff2c74f8-3fa3-b0d5-c61d-fa8141f9c703
    Minor Number                    : 0
    VBIOS Version                   : 80.07.40.00.02
    MultiGPU Board                  : No
    Board ID                        : 0x100
    GPU Part Number                 : N/A
    Inforom Version
        Image Version               : N/A
        OEM Object                  : N/A
        ECC Object                  : N/A
        Power Management Object     : N/A
    GPU Operation Mode
        Current                     : N/A
        Pending                     : N/A
    GPU Virtualization Mode
        Virtualization mode         : None
    PCI
        Bus                         : 0x01
        Device                      : 0x00
        Domain                      : 0x0000
        Device Id                   : 0x0FFB10DE
        Bus Id                      : 0000:01:00.0
        Sub System Id               : 0x176B103C
        GPU Link Info
            PCIe Generation
                Max                 : 2
                Current             : 1
            Link Width
                Max                 : 16x
                Current             : 16x
        Bridge Chip
            Type                    : N/A
            Firmware                : N/A
        Replays since reset         : 0
        Tx Throughput               : N/A
        Rx Throughput               : N/A
    Fan Speed                       : N/A
    Performance State               : P8
    Clocks Throttle Reasons
        Idle                        : Not Active
        Applications Clocks Setting : Not Active
        SW Power Cap                : Not Active
        HW Slowdown                 : Not Active
        Sync Boost                  : Not Active
        Unknown                     : Not Active
    FB Memory Usage
        Total                       : 1997 MiB
        Used                        : 190 MiB
        Free                        : 1807 MiB
    BAR1 Memory Usage
        Total                       : 256 MiB
        Used                        : 4 MiB
        Free                        : 252 MiB
    Compute Mode                    : Default
    Utilization
        Gpu                         : 4 %
        Memory                      : 12 %
        Encoder                     : 0 %
        Decoder                     : 0 %
    Encoder Stats
        Active Sessions             : 0
        Average FPS                 : 0
        Average Latency             : 0 ms
    Ecc Mode
        Current                     : N/A
        Pending                     : N/A
    ECC Errors
        Volatile
            Single Bit           
                Device Memory       : N/A
                Register File       : N/A
                L1 Cache            : N/A
                L2 Cache            : N/A
                Texture Memory      : N/A
                Texture Shared      : N/A
                Total               : N/A
            Double Bit           
                Device Memory       : N/A
                Register File       : N/A
                L1 Cache            : N/A
                L2 Cache            : N/A
                Texture Memory      : N/A
                Texture Shared      : N/A
                Total               : N/A
        Aggregate
            Single Bit           
                Device Memory       : N/A
                Register File       : N/A
                L1 Cache            : N/A
                L2 Cache            : N/A
                Texture Memory      : N/A
                Texture Shared      : N/A
                Total               : N/A
            Double Bit           
                Device Memory       : N/A
                Register File       : N/A
                L1 Cache            : N/A
                L2 Cache            : N/A
                Texture Memory      : N/A
                Texture Shared      : N/A
                Total               : N/A
    Retired Pages
        Single Bit ECC              : N/A
        Double Bit ECC              : N/A
        Pending                     : N/A
    Temperature
        GPU Current Temp            : 46 C
        GPU Shutdown Temp           : 104 C
        GPU Slowdown Temp           : 96 C
    Power Readings
        Power Management            : N/A
        Power Draw                  : N/A
        Power Limit                 : N/A
        Default Power Limit         : N/A
        Enforced Power Limit        : N/A
        Min Power Limit             : N/A
        Max Power Limit             : N/A
    Clocks
        Graphics                    : 405 MHz
        SM                          : 405 MHz
        Memory                      : 405 MHz
        Video                       : 405 MHz
    Applications Clocks
        Graphics                    : N/A
        Memory                      : N/A
    Default Applications Clocks
        Graphics                    : N/A
        Memory                      : N/A
    Max Clocks
        Graphics                    : 745 MHz
        SM                          : 745 MHz
        Memory                      : 900 MHz
        Video                       : 540 MHz
    Clock Policy
        Auto Boost                  : N/A
        Auto Boost Default          : N/A
    Processes
        Process ID                  : 1792
            Type                    : G
            Name                    : /usr/lib/xorg/Xorg
            Used GPU Memory         : 182 MiB
        Process ID                  : 2569
            Type                    : G
            Name                    : compton
            Used GPU Memory         : 6 MiB
Comment 1 Roy 2018-06-24 20:25:36 UTC
To debug this, I'd like you to attach to this bug report:
- A better description of what you're trying to do. I suspect you're trying to set a pstate, but please be clear about the steps that you follow to get the result you claim to get.
- A copy of your video BIOS (/sys/kernel/debug/dri/<number>/vbios.rom
- A peek of the strap register (nvapeek 0x101000)
- A full unfiltered dmesg from kernel 4.17 after failure like you did for the 3.19 kernel, preferably booted with the nouveau.debug="PMU=debug" parameter.

(In reply to atirage21 from comment #0)
> Maybe it is connected on your changes from 2016:
> https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/commit/
> ?id=a24ded627e42d453546c553d609edc073f59cd57

This patch... no, this whole repository is unrelated to your problems.
Comment 2 atirage21 2018-06-24 20:31:39 UTC
Created attachment 140305 [details]
vBIOS.rom (0x0e73b0a2, GK107, NVE7, Family NVE0, version 80.07.40.00.02
Comment 3 Karol Herbst 2018-06-24 20:55:07 UTC
can you print the output of "nvapeek 0x20340 0x8" please?
Comment 4 atirage21 2018-06-24 21:11:09 UTC
(In reply to Karol Herbst from comment #3)
> can you print the output of "nvapeek 0x20340 0x8" please?

Please send me exatly guide how, because command "nvapeek 0x20340 0x8" not found.
Comment 5 atirage21 2018-06-24 21:38:51 UTC
Created attachment 140306 [details]
dmesg message from kernel 4.15 (as case study from kernel 4.x) live ubuntu 18.04

It was generated through live ubuntu 18.04 (kernel 4.15)
Comment 6 atirage21 2018-06-24 21:51:30 UTC
Created attachment 140307 [details]
dmesg message from kernel 4.4 (on same OS Linux Mint 17.3 like with good kernel 3.19)
Comment 7 atirage21 2018-06-25 03:08:12 UTC
(In reply to atirage21 from comment #4)
> (In reply to Karol Herbst from comment #3)
> > can you print the output of "nvapeek 0x20340 0x8" please?
> 
> Please send me exatly guide how, because command "nvapeek 0x20340 0x8" not
> found.

Output from mmiotrace:
R 4 127.904981 11 0xd8309624 0x203406e 0x0 0
Comment 8 atirage21 2018-06-25 03:11:54 UTC
Created attachment 140311 [details]
MMIOTRACEfrom nvidia driver 340.102
Comment 9 Karol Herbst 2018-06-25 10:14:42 UTC
(In reply to atirage21 from comment #4)
> (In reply to Karol Herbst from comment #3)
> > can you print the output of "nvapeek 0x20340 0x8" please?
> 
> Please send me exatly guide how, because command "nvapeek 0x20340 0x8" not
> found.

you would need to install envytools, but the trace is actually more helpful, because there we could simply lookup how nvidia is doing stuff
Comment 10 Karol Herbst 2018-06-25 12:03:25 UTC
@atirage21:

were you actually able to reclock the GPU before in a stable way? It seems like we have to support a way of setting the voltage we don't implement yet (and never had).

It is the first time actually seeing such a GPU, so I am not quite sure how we are able to get that working for now. Of course we could provide patches and hope it kind of works, but this would require testing from your side as well.
Comment 11 atirage21 2018-06-25 12:41:44 UTC
Created attachment 140318 [details]
attachment-26224-0.html

I was not successfull in reclock the gpu. OK

2018-06-25 14:03 GMT+02:00 <bugzilla-daemon@freedesktop.org>:

> *Comment # 10 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c10> on
> bug 107016 <https://bugs.freedesktop.org/show_bug.cgi?id=107016> from Karol
> Herbst <karolherbst@gmail.com> *
>
> @atirage21:
>
> were you actually able to reclock the GPU before in a stable way? It seems like
> we have to support a way of setting the voltage we don't implement yet (and
> never had).
>
> It is the first time actually seeing such a GPU, so I am not quite sure how we
> are able to get that working for now. Of course we could provide patches and
> hope it kind of works, but this would require testing from your side as well.
>
> ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 12 atirage21 2018-06-25 14:23:06 UTC
Created attachment 140326 [details]
attachment-20771-0.html

But also is question: Why i had only 405 Mhz of core under kernel 4.x,
if under kernel 3.19 was more options to see (and same more options is
with propretiary driver):

[    4.311074] nouveau  [     CLK][0000:01:00.0] 07: core 270-405 MHz
memory 810 MHz
[    4.311090] nouveau  [     CLK][0000:01:00.0] 0f: core 270-745 MHz
memory 1800 MHz
[    4.311233] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 648 MHz



2018-06-25 14:03 GMT+02:00 <bugzilla-daemon@freedesktop.org>:

> *Comment # 10 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c10> on
> bug 107016 <https://bugs.freedesktop.org/show_bug.cgi?id=107016> from Karol
> Herbst <karolherbst@gmail.com> *
>
> @atirage21:
>
> were you actually able to reclock the GPU before in a stable way? It seems like
> we have to support a way of setting the voltage we don't implement yet (and
> never had).
>
> It is the first time actually seeing such a GPU, so I am not quite sure how we
> are able to get that working for now. Of course we could provide patches and
> hope it kind of works, but this would require testing from your side as well.
>
> ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 13 Roy 2018-06-25 14:25:33 UTC
(In reply to atirage21 from comment #12)
> Created attachment 140326 [details]
> attachment-20771-0.html
> 
> But also is question: Why i had only 405 Mhz of core under kernel 4.x,
> if under kernel 3.19 was more options to see (and same more options is
> with propretiary driver):
> 
> [    4.311074] nouveau  [     CLK][0000:01:00.0] 07: core 270-405 MHz
> memory 810 MHz
> [    4.311090] nouveau  [     CLK][0000:01:00.0] 0f: core 270-745 MHz
> memory 1800 MHz
> [    4.311233] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 648
> MHz
> 

That's just reduced verbosity of the driver in newer kernels. There's no need to report that during boot, just clutters the log. You'll find all those entries in /sys/kernel/debug/dri/<number>/pstate.
Comment 14 atirage21 2018-06-25 14:51:17 UTC
Created attachment 140327 [details]
attachment-28061-0.html

Not truth!  I see only 405 MHz of core in newer kernel 4.x in

/sys/kernel/debug/dri/<number>/pstate. It was first argument for me,
that something is not good compared to kernel 3.19.



2018-06-25 16:25 GMT+02:00 <bugzilla-daemon@freedesktop.org>:

> *Comment # 13 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c13> on
> bug 107016 <https://bugs.freedesktop.org/show_bug.cgi?id=107016> from Roy
> <nouveau@spliet.org> *
>
> (In reply to atirage21 from comment #12 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c12>)> Created attachment 140326 [details] <https://bugs.freedesktop.org/attachment.cgi?id=140326> [details] <https://bugs.freedesktop.org/attachment.cgi?id=140326&action=edit>
> > attachment-20771-0.html
> >
> > But also is question: Why i had only 405 Mhz of core under kernel 4.x,
> > if under kernel 3.19 was more options to see (and same more options is
> > with propretiary driver):
> >
> > [    4.311074] nouveau  [     CLK][0000:01:00.0] 07: core 270-405 MHz
> > memory 810 MHz
> > [    4.311090] nouveau  [     CLK][0000:01:00.0] 0f: core 270-745 MHz
> > memory 1800 MHz
> > [    4.311233] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 648
> > MHz
> >
>
> That's just reduced verbosity of the driver in newer kernels. There's no need
> to report that during boot, just clutters the log. You'll find all those
> entries in /sys/kernel/debug/dri/<number>/pstate.
>
> ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 15 atirage21 2018-06-25 15:57:51 UTC
Created attachment 140332 [details]
attachment-14056-0.html

In live ubuntu 18.04 with kernel 4.15

Only boot frequency of core
sudo cat /sys/kernel/debug/dri/0/pstate



07: core 405 MHz memory 810 MHz
0f: core 405 MHz memory 1800 MHz
AC: core 405 MHz memory 648 MHz


2018-06-25 14:51 GMT+00:00 Attila Tóth <tothsoft@gmail.com>:

> Not truth!  I see only 405 MHz of core in newer kernel 4.x in
>
> /sys/kernel/debug/dri/<number>/pstate. It was first argument for me, that something is not good compared to kernel 3.19.
>
>
>
> 2018-06-25 16:25 GMT+02:00 <bugzilla-daemon@freedesktop.org>:
>
>> *Comment # 13 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c13>
>> on bug 107016 <https://bugs.freedesktop.org/show_bug.cgi?id=107016> from
>> Roy <nouveau@spliet.org> *
>>
>> (In reply to atirage21 from comment #12 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c12>)> Created attachment 140326 [details] <https://bugs.freedesktop.org/attachment.cgi?id=140326> [details] <https://bugs.freedesktop.org/attachment.cgi?id=140326&action=edit>
>> > attachment-20771-0.html
>> >
>> > But also is question: Why i had only 405 Mhz of core under kernel 4.x,
>> > if under kernel 3.19 was more options to see (and same more options is
>> > with propretiary driver):
>> >
>> > [    4.311074] nouveau  [     CLK][0000:01:00.0] 07: core 270-405 MHz
>> > memory 810 MHz
>> > [    4.311090] nouveau  [     CLK][0000:01:00.0] 0f: core 270-745 MHz
>> > memory 1800 MHz
>> > [    4.311233] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 648
>> > MHz
>> >
>>
>> That's just reduced verbosity of the driver in newer kernels. There's no need
>> to report that during boot, just clutters the log. You'll find all those
>> entries in /sys/kernel/debug/dri/<number>/pstate.
>>
>> ------------------------------
>> You are receiving this mail because:
>>
>>    - You reported the bug.
>>
>>
>
>
> --
> S pozdravom / Mit freundlichen Grüßen / Baráti udvozlettel / Best regards
>
> Ing. Attila Tóth, PhD.
>
> tel : +421 910 299 189 (4Ka - Slovak Republic)
>
> Please consider your environmental responsibility before printing this
> e-mail
>
>
>
>
>
Comment 16 atirage21 2018-06-25 16:17:26 UTC
(In reply to atirage21 from comment #15)
> Created attachment 140332 [details]
> attachment-14056-0.html
> 
> In live ubuntu 18.04 with kernel 4.15
> 
> Only boot frequency of core
> sudo cat /sys/kernel/debug/dri/0/pstate
> 
> 
> 
> 07: core 405 MHz memory 810 MHz
> 0f: core 405 MHz memory 1800 MHz
> AC: core 405 MHz memory 648 MHz
> 
> 
> 2018-06-25 14:51 GMT+00:00 Attila Tóth <tothsoft@gmail.com>:
> 
> > Not truth!  I see only 405 MHz of core in newer kernel 4.x in
> >
> > /sys/kernel/debug/dri/<number>/pstate. It was first argument for me, that something is not good compared to kernel 3.19.
> >
> >
> >
> > 2018-06-25 16:25 GMT+02:00 <bugzilla-daemon@freedesktop.org>:
> >
> >> *Comment # 13 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c13>
> >> on bug 107016 <https://bugs.freedesktop.org/show_bug.cgi?id=107016> from
> >> Roy <nouveau@spliet.org> *
> >>
> >> (In reply to atirage21 from comment #12 <https://bugs.freedesktop.org/show_bug.cgi?id=107016#c12>)> Created attachment 140326 [details] <https://bugs.freedesktop.org/attachment.cgi?id=140326> [details] <https://bugs.freedesktop.org/attachment.cgi?id=140326&action=edit>
> >> > attachment-20771-0.html
> >> >
> >> > But also is question: Why i had only 405 Mhz of core under kernel 4.x,
> >> > if under kernel 3.19 was more options to see (and same more options is
> >> > with propretiary driver):
> >> >
> >> > [    4.311074] nouveau  [     CLK][0000:01:00.0] 07: core 270-405 MHz
> >> > memory 810 MHz
> >> > [    4.311090] nouveau  [     CLK][0000:01:00.0] 0f: core 270-745 MHz
> >> > memory 1800 MHz
> >> > [    4.311233] nouveau  [     CLK][0000:01:00.0] --: core 405 MHz memory 648
> >> > MHz
> >> >
> >>
> >> That's just reduced verbosity of the driver in newer kernels. There's no need
> >> to report that during boot, just clutters the log. You'll find all those
> >> entries in /sys/kernel/debug/dri/<number>/pstate.
> >>



Nvidia xserver setting have clock from 135-405 and from 135 - 745 Mhz of clock (see attachment)
Comment 17 atirage21 2018-06-25 16:18:07 UTC
Created attachment 140333 [details]
Nvidia xserver clocks -printscreen
Comment 18 atirage21 2018-06-25 17:11:07 UTC
(In reply to atirage21 from comment #4)
> (In reply to Karol Herbst from comment #3)
> > can you print the output of "nvapeek 0x20340 0x8" please?
> 
> Please send me exatly guide how, because command "nvapeek 0x20340 0x8" not
> found.

nvapeek 0x20340 0x8
00020340: 00000360 00000000
Comment 19 atirage21 2018-06-25 17:12:41 UTC
(In reply to Roy from comment #1)
> To debug this, I'd like you to attach to this bug report:
> - A better description of what you're trying to do. I suspect you're trying
> to set a pstate, but please be clear about the steps that you follow to get
> the result you claim to get.
> - A copy of your video BIOS (/sys/kernel/debug/dri/<number>/vbios.rom
> - A peek of the strap register (nvapeek 0x101000)
> - A full unfiltered dmesg from kernel 4.17 after failure like you did for
> the 3.19 kernel, preferably booted with the nouveau.debug="PMU=debug"
> parameter.
> 
> (In reply to atirage21 from comment #0)
> > Maybe it is connected on your changes from 2016:
> > https://cgit.freedesktop.org/nouveau/xf86-video-nouveau/commit/
> > ?id=a24ded627e42d453546c553d609edc073f59cd57
> 
> This patch... no, this whole repository is unrelated to your problems.

nvapeek 0x101000
00101000: df40ac9a
Comment 20 atirage21 2018-07-01 08:14:49 UTC
Created attachment 140413 [details]
Dmesg mesage Kernel 4.15 with nvidia propretiary driver

Linux mint 19 mate 64bit
Comment 21 atirage21 2018-09-06 08:54:54 UTC
Karol Herbst:

Hi,

do you still have your GK107 Nvidia GPU? I just recently found out,
that there is a strange thing  to control the GPU voltage there which
I never saw on any other board and I would like to know if you are up
for doing some testing.

Greetings

Karol


Attila:

Hi,

yes, i am. So , i tried todya oibaf witk last mesa 18.3 devel, but is same.

4.496952] nouveau 0000:01:00.0: bios: version 80.07.40.00.02
[    4.497677] nouveau 0000:01:00.0: mxm: BIOS version 3.0
[    4.501493] nouveau 0000:01:00.0: volt: Type mismatch between the voltage table type and the GPIO table. Fallback to GPIO mode.
[    4.502201] nouveau 0000:01:00.0: fb: 2048 MiB DDR3
Comment 22 atirage21 2018-12-04 18:24:25 UTC
Nothing new ?
Comment 23 atirage21 2018-12-04 18:25:39 UTC
Created attachment 142724 [details]
dmesg message from kernel 4.15 from december 2018 (with last mesa and nouveau driver from OIBAF)


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.